# sitelib for noarch packages, sitearch for others (remove the unneeded one)
%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name: pyfits
Version: 1.3
Release: 3%{?dist}
Summary: Python interface to FITS

Group: Development/Languages
License: BSD

URL: http://www.stsci.edu/resources/software_hardware/pyfits
Source0: http://www.stsci.edu/resources/software_hardware/pyfits/%{name}-%{version}.tar.gz
BuildRoot:  %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

BuildArch: noarch
BuildRequires: python-devel python-setuptools
Requires: numpy

%description
PyFITS provides an interface to FITS formatted files under the Python 
scripting language. It is useful both for interactive data analysis and for 
writing analysis scripts in Python using FITS files as either input or output. 

%prep
%setup -q
%{__sed} -i -e "1d" lib/NP_pyfits.py lib/NA_pyfits.py

%build
%{__python} setup.py build

%install
%{__rm} -fr %{buildroot}
%{__python} setup.py install --skip-build --root  %{buildroot}

%clean
%{__rm} -fr %{buildroot}

%files
%defattr(-,root,root,-)
%doc lib/LICENSE.txt docs/Users_Manual.pdf
%{python_sitelib}/*

%changelog
* Tue Apr 08 2008 Sergio Pascual <sergiopr@fedoraproject.org> - 1.3-3
- Adding dist tag

* Sun Apr 06 2008 Sergio Pascual <sergiopr@fedoraproject.org> - 1.3-2
- Fixing setup not quiet
- Shebang removed from non-script python files

* Wed Mar 26 2008 Sergio Pascual <sergio.pasra@gmail.com> - 1.3-1
- Initial specfile

